POST api/PolicyAICallLog/Update
Request Information
URI Parameters
None.
Body Parameters
AICallLogRecordNest| Name | Description | Type | Additional information |
|---|---|---|---|
| Feedback | string |
None. |
|
| Transcript | string |
None. |
|
| Status | CallStatus |
Required Range: inclusive between 1 and 2 |
|
| TransactionId | string |
Required |
|
| TruckingCompanyId | globally unique identifier |
None. |
|
| aiVendor | AICallVendors |
None. |
|
| LastCallTime | date |
None. |
|
| PolicyId | globally unique identifier |
None. |
|
| AgencyId | globally unique identifier |
None. |
|
| CallId | string |
None. |
|
| UserId | globally unique identifier |
None. |
|
| CreateDate | date |
None. |
|
| ChangeDate | date |
None. |
|
| TaskId | globally unique identifier |
None. |
|
| callType | CallType |
None. |
|
| Id | globally unique identifier |
None. |
|
| PhoneNumber | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"feedback": "sample string 1",
"transcript": "sample string 2",
"status": 1,
"transactionId": "sample string 3",
"truckingCompanyId": "be5c2a5c-9958-483c-8940-99d718ee29dd",
"aiVendor": 1,
"lastCallTime": "2026-11-10T16:42:08.6902233-06:00",
"policyId": "36496d41-fd9c-4dee-89f2-59e7bf39c5d5",
"agencyId": "670436a0-aeef-49f6-aa83-e97741a6d46c",
"callId": "sample string 5",
"userId": "3a55a275-58d2-4b1c-8081-a8e166a4eb09",
"createDate": "2026-11-10T16:42:08.6902233-06:00",
"changeDate": "2026-11-10T16:42:08.6902233-06:00",
"taskId": "03737e34-8c63-4e3c-965c-a12acb102f92",
"callType": 1,
"id": "f6e70d84-900e-4794-8a49-45f1ebe4f671",
"phoneNumber": "sample string 9"
}
application/xml, text/xml
Sample:
<AICallLogRecordNest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <AIVendor>SONANT</AIVendor> <AgencyId>670436a0-aeef-49f6-aa83-e97741a6d46c</AgencyId> <CallId>sample string 5</CallId> <CallType>Incomming</CallType> <ChangeDate>2026-11-10T16:42:08.6902233-06:00</ChangeDate> <CreateDate>2026-11-10T16:42:08.6902233-06:00</CreateDate> <Feedback>sample string 1</Feedback> <Id>f6e70d84-900e-4794-8a49-45f1ebe4f671</Id> <LastCallTime>2026-11-10T16:42:08.6902233-06:00</LastCallTime> <PhoneNumber>sample string 9</PhoneNumber> <PolicyId>36496d41-fd9c-4dee-89f2-59e7bf39c5d5</PolicyId> <Status>Failed</Status> <TaskId>03737e34-8c63-4e3c-965c-a12acb102f92</TaskId> <TransactionId>sample string 3</TransactionId> <Transcript>sample string 2</Transcript> <TruckingCompanyId>be5c2a5c-9958-483c-8940-99d718ee29dd</TruckingCompanyId> <UserId>3a55a275-58d2-4b1c-8081-a8e166a4eb09</UserId> </AICallLogRecordNest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>